/*******************************************************************************
* File Name: Pin_05.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Pin_05_H) /* Pins Pin_05_H */
#define CY_PINS_Pin_05_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_05_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Pin_05_Write(uint8 value) ;
void    Pin_05_SetDriveMode(uint8 mode) ;
uint8   Pin_05_ReadDataReg(void) ;
uint8   Pin_05_Read(void) ;
uint8   Pin_05_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pin_05_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Pin_05_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Pin_05_DM_RES_UP          PIN_DM_RES_UP
#define Pin_05_DM_RES_DWN         PIN_DM_RES_DWN
#define Pin_05_DM_OD_LO           PIN_DM_OD_LO
#define Pin_05_DM_OD_HI           PIN_DM_OD_HI
#define Pin_05_DM_STRONG          PIN_DM_STRONG
#define Pin_05_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Pin_05_MASK               Pin_05__MASK
#define Pin_05_SHIFT              Pin_05__SHIFT
#define Pin_05_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_05_PS                     (* (reg8 *) Pin_05__PS)
/* Data Register */
#define Pin_05_DR                     (* (reg8 *) Pin_05__DR)
/* Port Number */
#define Pin_05_PRT_NUM                (* (reg8 *) Pin_05__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_05_AG                     (* (reg8 *) Pin_05__AG)                       
/* Analog MUX bux enable */
#define Pin_05_AMUX                   (* (reg8 *) Pin_05__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_05_BIE                    (* (reg8 *) Pin_05__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_05_BIT_MASK               (* (reg8 *) Pin_05__BIT_MASK)
/* Bypass Enable */
#define Pin_05_BYP                    (* (reg8 *) Pin_05__BYP)
/* Port wide control signals */                                                   
#define Pin_05_CTL                    (* (reg8 *) Pin_05__CTL)
/* Drive Modes */
#define Pin_05_DM0                    (* (reg8 *) Pin_05__DM0) 
#define Pin_05_DM1                    (* (reg8 *) Pin_05__DM1)
#define Pin_05_DM2                    (* (reg8 *) Pin_05__DM2) 
/* Input Buffer Disable Override */
#define Pin_05_INP_DIS                (* (reg8 *) Pin_05__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_05_LCD_COM_SEG            (* (reg8 *) Pin_05__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_05_LCD_EN                 (* (reg8 *) Pin_05__LCD_EN)
/* Slew Rate Control */
#define Pin_05_SLW                    (* (reg8 *) Pin_05__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_05_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_05__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_05_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_05__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_05_PRTDSI__OE_SEL0        (* (reg8 *) Pin_05__PRTDSI__OE_SEL0) 
#define Pin_05_PRTDSI__OE_SEL1        (* (reg8 *) Pin_05__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_05_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_05__PRTDSI__OUT_SEL0) 
#define Pin_05_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_05__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_05_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_05__PRTDSI__SYNC_OUT) 


#if defined(Pin_05__INTSTAT)  /* Interrupt Registers */

    #define Pin_05_INTSTAT                (* (reg8 *) Pin_05__INTSTAT)
    #define Pin_05_SNAP                   (* (reg8 *) Pin_05__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Pin_05_H */


/* [] END OF FILE */
