/*******************************************************************************
* File Name: Pin_06.h  
* Version 1.50
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Pin_06_H) /* Pins Pin_06_H */
#define CY_PINS_Pin_06_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_06_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Pin_06_Write(uint8 value) ;
void    Pin_06_SetDriveMode(uint8 mode) ;
uint8   Pin_06_ReadDataReg(void) ;
uint8   Pin_06_Read(void) ;
uint8   Pin_06_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pin_06_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Pin_06_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Pin_06_DM_RES_UP          PIN_DM_RES_UP
#define Pin_06_DM_RES_DWN         PIN_DM_RES_DWN
#define Pin_06_DM_OD_LO           PIN_DM_OD_LO
#define Pin_06_DM_OD_HI           PIN_DM_OD_HI
#define Pin_06_DM_STRONG          PIN_DM_STRONG
#define Pin_06_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Pin_06_MASK               Pin_06__MASK
#define Pin_06_SHIFT              Pin_06__SHIFT
#define Pin_06_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_06_PS                     (* (reg8 *) Pin_06__PS)
/* Data Register */
#define Pin_06_DR                     (* (reg8 *) Pin_06__DR)
/* Port Number */
#define Pin_06_PRT_NUM                (* (reg8 *) Pin_06__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_06_AG                     (* (reg8 *) Pin_06__AG)                       
/* Analog MUX bux enable */
#define Pin_06_AMUX                   (* (reg8 *) Pin_06__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_06_BIE                    (* (reg8 *) Pin_06__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_06_BIT_MASK               (* (reg8 *) Pin_06__BIT_MASK)
/* Bypass Enable */
#define Pin_06_BYP                    (* (reg8 *) Pin_06__BYP)
/* Port wide control signals */                                                   
#define Pin_06_CTL                    (* (reg8 *) Pin_06__CTL)
/* Drive Modes */
#define Pin_06_DM0                    (* (reg8 *) Pin_06__DM0) 
#define Pin_06_DM1                    (* (reg8 *) Pin_06__DM1)
#define Pin_06_DM2                    (* (reg8 *) Pin_06__DM2) 
/* Input Buffer Disable Override */
#define Pin_06_INP_DIS                (* (reg8 *) Pin_06__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_06_LCD_COM_SEG            (* (reg8 *) Pin_06__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_06_LCD_EN                 (* (reg8 *) Pin_06__LCD_EN)
/* Slew Rate Control */
#define Pin_06_SLW                    (* (reg8 *) Pin_06__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_06_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_06__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_06_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_06__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_06_PRTDSI__OE_SEL0        (* (reg8 *) Pin_06__PRTDSI__OE_SEL0) 
#define Pin_06_PRTDSI__OE_SEL1        (* (reg8 *) Pin_06__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_06_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_06__PRTDSI__OUT_SEL0) 
#define Pin_06_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_06__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_06_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_06__PRTDSI__SYNC_OUT) 


#if defined(Pin_06__INTSTAT)  /* Interrupt Registers */

    #define Pin_06_INTSTAT                (* (reg8 *) Pin_06__INTSTAT)
    #define Pin_06_SNAP                   (* (reg8 *) Pin_06__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Pin_06_H */


/* [] END OF FILE */
