/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>
#include <stdio.h>


#define CR 13
//#define Fclk 48000000
#define Fclk 24000000
#define Acc  16777216	//2^22

void UpdateF(void);
unsigned long atoul(char * s, unsigned base);
uint8 Lo(uint32 Val);
uint8 Me(uint32 Val);
uint8 Hi(uint32 Val);

    uint8 trigger=0;
	char ch=0; // Data received from the Serial port
    uint8 count=0;
	char buff[10];
	float Freq;
	float Phase;
	uint8	PhaseLo;
	uint8	PhaseMe;
	uint8	PhaseHi;
	
void main()
{
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */

	
	CYGlobalIntEnable; /* Enable all interrupts by the processor. */
	
	Opamp_0_Start();
	Opamp_2_Start();
	isr_1_Start();
    LCD_Char_1_Start();
	isr_1_Enable();
	UART_1_Start();
	Mixer_1_Start();
	
 	LCD_Char_1_Position(0,0);
	LCD_Char_1_PrintString("01.12.10");
	UART_1_PutString("F?>");
	UART_1_WriteTxData(13);
	UART_1_WriteTxData(10);
	
	
	while(1)
	{
		
		if(trigger) // Indicates that data byte is received.
		{
			trigger = 0; // Reset the trigger
			
			ch=UART_1_ReadRxData();
			UART_1_WriteTxData(ch);
			buff[count]=ch;
			count++;
			if ((ch==CR)|(ch ==10)) UpdateF();
			

			
		}
	
    }
}

void UpdateF(void)
	{
	char i;
	buff[count-1]=0;
	Freq = (float)atoul(buff,10);
	Phase = Acc*Freq;
	Phase = Phase/Fclk;
	
	PhaseLo=Lo(Phase);
	PhaseMe=Me(Phase);
	PhaseHi=Hi(Phase);	
	
	CRegLo_Write(Lo(Phase));
	CRegMe_Write(Me(Phase));
	CRegHi_Write(Hi(Phase));
	
	LCD_Char_1_Position(1,0);
	LCD_Char_1_PrintString(buff);
	for(i=0;i<count;i++) buff[i] = 0;
	
	count = 0;
	
	UART_1_WriteTxData(13);
	UART_1_WriteTxData(10);
	UART_1_PutString("F?>");
	}

unsigned long atoul(char * s, unsigned base) {
   unsigned long result = 0;
   int temp;
   while( isspace(*s) ) ++s;
   do {
      temp = (*s++)&0xff;
      if( isdigit(temp) )  {
         temp -= '0';
      } else {
         if( isalpha(temp) ) {
            temp = toupper(temp)-'A'+10;
         } else {
            break;
         }
      }
      if( temp >= base )
         break;
      result *= base;
      result += temp;
   } while( 1 );
   return result;
}

uint8 Lo(uint32 Val)
{
uint8 Low;
Low = (uint8)(Val & 0xFF);
return Low;
}

uint8 Me(uint32 Val)
{
uint8 Med;
Val = Val>>8;
Med = (uint8)(Val & 0xFF);
return Med;
}

uint8 Hi(uint32 Val)
{
uint8 High;
Val = Val>>16;
High = (uint8)(Val & 0xFF);
return High;
}

/* [] END OF FILE */
